summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--private/webex/slack-desc4
-rwxr-xr-xprivate/webex/webex.SlackBuild49
-rw-r--r--private/webex/webex.info2
3 files changed, 32 insertions, 23 deletions
diff --git a/private/webex/slack-desc b/private/webex/slack-desc
index 9f4343e..03d7a77 100644
--- a/private/webex/slack-desc
+++ b/private/webex/slack-desc
@@ -8,7 +8,8 @@
|-----handy-ruler------------------------------------------------------|
webex: webex (Webex for Linux)
webex:
-webex: Webex for Linux.
+webex: The all new Webex App is one easy-to-use and secure app you can use to
+webex: call, message, meet, and get work done.
webex:
webex: Homepage: https://www.webex.com
webex:
@@ -16,4 +17,3 @@ webex:
webex:
webex:
webex:
-webex:
diff --git a/private/webex/webex.SlackBuild b/private/webex/webex.SlackBuild
index b87ecbe..fb96403 100755
--- a/private/webex/webex.SlackBuild
+++ b/private/webex/webex.SlackBuild
@@ -1,5 +1,7 @@
#!/bin/bash
+# Slackware build script for webex
+
# Copyright 2022 Eugen Wissner, Dachau, Germany
# All rights reserved.
#
@@ -20,40 +22,47 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=webex
+VERSION=${VERSION:-42.7.0.22904}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$ARCH" in
+ i?86) ARCH=i386 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
-# Allow $ARCH to be preset before running the script. This is useful in the
-# case where someone is running a 32-bit chroot environment under an x86_64
-# kernel:
-ARCH=${ARCH:-$(uname -m)}
+VERSION=$(ar p Webex.deb control.tar.gz 2> /dev/null | tar zxO ./control 2> /dev/null | grep Version | awk '{print $2}' | cut -d- -f1)
-case "$ARCH" in
- i?86) DEBARCH="i386" ; LIBDIRSUFFIX="" ; ARCH=i386 ;;
- x86_64) DEBARCH="amd64" ; LIBDIRSUFFIX="64" ; ARCH=x86_64 ;;
- *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
-esac
-# Get the version from the Debian/Ubuntu .deb (thanks to Fred Richards):
-VERSION=$(ar p Webex.deb control.tar.xz 2> /dev/null | tar JxO ./control 2> /dev/null | grep Version | awk '{print $2}' | cut -d- -f1)
-if [ -z "$VERSION" ]; then # try to use control.tar.gz instead:
- VERSION=$(ar p Webex.deb control.tar.gz 2> /dev/null | tar zxO ./control 2> /dev/null | grep Version | awk '{print $2}' | cut -d- -f1)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
fi
-BUILD=${BUILD:-1}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $PKG
ar p $CWD/Webex.deb data.tar.xz | tar xJv || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-
-# Make sure top-level perms are correct:
-chmod 0755 .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Install a .desktop launcher:
mkdir -p $PKG/usr/share/applications
@@ -70,4 +79,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.$PKGTYPE
diff --git a/private/webex/webex.info b/private/webex/webex.info
index a9a734a..ddf42c9 100644
--- a/private/webex/webex.info
+++ b/private/webex/webex.info
@@ -1,7 +1,7 @@
PRGNAM="webex"
VERSION="42.7.0.22904"
HOMEPAGE="https://www.webex.com"
-DOWNLOAD=""
+DOWNLOAD="UNSUPPORTED"
MD5SUM=""
DOWNLOAD_x86_64="https://binaries.webex.com/WebexDesktop-Ubuntu-Official-Package/Webex.deb"
MD5SUM_x86_64="626355056191a0e03fed56422812c0d6"